Index: NEMO/branches/2020/dev_12905_xios_restart/src/ICE/icedia.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/ICE/icedia.F90	(revision 13931)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/ICE/icedia.F90	(revision 13932)
@@ -221,18 +221,16 @@
          IF( ln_rstart ) THEN                   !* Read the restart file
             !
-            IF(lrxios) CALL iom_swap(cr_icerst_cxt)
-            CALL iom_get( numrir, 'kt_ice' , ziter, ldxios = lrxios )
+            CALL iom_get( numrir, 'kt_ice' , ziter )
             IF(lwp) WRITE(numout,*)
             IF(lwp) WRITE(numout,*) 'ice_dia_rst read at time step = ', ziter
             IF(lwp) WRITE(numout,*) '~~~~~~~~~~'
-            CALL iom_get( numrir, 'frc_voltop' , frc_voltop, ldxios = lrxios  )
-            CALL iom_get( numrir, 'frc_volbot' , frc_volbot, ldxios = lrxios  )
-            CALL iom_get( numrir, 'frc_temtop' , frc_temtop, ldxios = lrxios  )
-            CALL iom_get( numrir, 'frc_tembot' , frc_tembot, ldxios = lrxios  )
-            CALL iom_get( numrir, 'frc_sal'    , frc_sal,    ldxios = lrxios  )
-            CALL iom_get( numrir, jpdom_auto, 'vol_loc_ini', vol_loc_ini, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'tem_loc_ini', tem_loc_ini, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'sal_loc_ini', sal_loc_ini, ldxios = lrxios )
-            IF(lrxios) CALL iom_swap(cxios_context)
+            CALL iom_get( numrir, 'frc_voltop' , frc_voltop  )
+            CALL iom_get( numrir, 'frc_volbot' , frc_volbot  )
+            CALL iom_get( numrir, 'frc_temtop' , frc_temtop  )
+            CALL iom_get( numrir, 'frc_tembot' , frc_tembot  )
+            CALL iom_get( numrir, 'frc_sal'    , frc_sal     )
+            CALL iom_get( numrir, jpdom_auto, 'vol_loc_ini', vol_loc_ini )
+            CALL iom_get( numrir, jpdom_auto, 'tem_loc_ini', tem_loc_ini )
+            CALL iom_get( numrir, jpdom_auto, 'sal_loc_ini', sal_loc_ini )
          ELSE
             IF(lwp) WRITE(numout,*)
@@ -263,14 +261,12 @@
          ! Write in numriw (if iter == nitrst)
          ! ------------------ 
-         IF( lwxios ) CALL iom_swap(      cw_icerst_cxt         )
-         CALL iom_rstput( iter, nitrst, numriw, 'frc_voltop' , frc_voltop,  ldxios = lwxios )
-         CALL iom_rstput( iter, nitrst, numriw, 'frc_volbot' , frc_volbot,  ldxios = lwxios )
-         CALL iom_rstput( iter, nitrst, numriw, 'frc_temtop' , frc_temtop,  ldxios = lwxios )
-         CALL iom_rstput( iter, nitrst, numriw, 'frc_tembot' , frc_tembot,  ldxios = lwxios )
-         CALL iom_rstput( iter, nitrst, numriw, 'frc_sal'    , frc_sal,     ldxios = lwxios )
-         CALL iom_rstput( iter, nitrst, numriw, 'vol_loc_ini', vol_loc_ini, ldxios = lwxios )
-         CALL iom_rstput( iter, nitrst, numriw, 'tem_loc_ini', tem_loc_ini, ldxios = lwxios )
-         CALL iom_rstput( iter, nitrst, numriw, 'sal_loc_ini', sal_loc_ini, ldxios = lwxios )
-         IF( lwxios ) CALL iom_swap(      cxios_context         )
+         CALL iom_rstput( iter, nitrst, numriw, 'frc_voltop' , frc_voltop )
+         CALL iom_rstput( iter, nitrst, numriw, 'frc_volbot' , frc_volbot )
+         CALL iom_rstput( iter, nitrst, numriw, 'frc_temtop' , frc_temtop )
+         CALL iom_rstput( iter, nitrst, numriw, 'frc_tembot' , frc_tembot )
+         CALL iom_rstput( iter, nitrst, numriw, 'frc_sal'    , frc_sal    )
+         CALL iom_rstput( iter, nitrst, numriw, 'vol_loc_ini', vol_loc_ini )
+         CALL iom_rstput( iter, nitrst, numriw, 'tem_loc_ini', tem_loc_ini )
+         CALL iom_rstput( iter, nitrst, numriw, 'sal_loc_ini', sal_loc_ini )
          !
       ENDIF
Index: NEMO/branches/2020/dev_12905_xios_restart/src/ICE/icedyn_adv_pra.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/ICE/icedyn_adv_pra.F90	(revision 13931)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/ICE/icedyn_adv_pra.F90	(revision 13932)
@@ -955,49 +955,48 @@
          !
          IF( id1 > 0 ) THEN                     !**  Read the restart file  **!
-            IF(lrxios) CALL iom_swap(cr_icerst_cxt)
             !
             !                                                        ! ice thickness
-            CALL iom_get( numrir, jpdom_auto, 'sxice' , sxice , psgn = -1._wp, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'syice' , syice , psgn = -1._wp, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'sxxice', sxxice, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'syyice', syyice, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'sxyice', sxyice, ldxios = lrxios )
+            CALL iom_get( numrir, jpdom_auto, 'sxice' , sxice , psgn = -1._wp )
+            CALL iom_get( numrir, jpdom_auto, 'syice' , syice , psgn = -1._wp )
+            CALL iom_get( numrir, jpdom_auto, 'sxxice', sxxice )
+            CALL iom_get( numrir, jpdom_auto, 'syyice', syyice )
+            CALL iom_get( numrir, jpdom_auto, 'sxyice', sxyice )
             !                                                        ! snow thickness
-            CALL iom_get( numrir, jpdom_auto, 'sxsn'  , sxsn  , psgn = -1._wp, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'sysn'  , sysn  , psgn = -1._wp, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'sxxsn' , sxxsn, ldxios = lrxios  )
-            CALL iom_get( numrir, jpdom_auto, 'syysn' , syysn, ldxios = lrxios  )
-            CALL iom_get( numrir, jpdom_auto, 'sxysn' , sxysn, ldxios = lrxios  )
+            CALL iom_get( numrir, jpdom_auto, 'sxsn'  , sxsn  , psgn = -1._wp )
+            CALL iom_get( numrir, jpdom_auto, 'sysn'  , sysn  , psgn = -1._wp )
+            CALL iom_get( numrir, jpdom_auto, 'sxxsn' , sxxsn  )
+            CALL iom_get( numrir, jpdom_auto, 'syysn' , syysn  )
+            CALL iom_get( numrir, jpdom_auto, 'sxysn' , sxysn  )
             !                                                        ! ice concentration
-            CALL iom_get( numrir, jpdom_auto, 'sxa'   , sxa   , psgn = -1._wp, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'sya'   , sya   , psgn = -1._wp, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'sxxa'  , sxxa, ldxios = lrxios   )
-            CALL iom_get( numrir, jpdom_auto, 'syya'  , syya, ldxios = lrxios   )
-            CALL iom_get( numrir, jpdom_auto, 'sxya'  , sxya, ldxios = lrxios   )
+            CALL iom_get( numrir, jpdom_auto, 'sxa'   , sxa   , psgn = -1._wp )
+            CALL iom_get( numrir, jpdom_auto, 'sya'   , sya   , psgn = -1._wp )
+            CALL iom_get( numrir, jpdom_auto, 'sxxa'  , sxxa   )
+            CALL iom_get( numrir, jpdom_auto, 'syya'  , syya   )
+            CALL iom_get( numrir, jpdom_auto, 'sxya'  , sxya   )
             !                                                        ! ice salinity
-            CALL iom_get( numrir, jpdom_auto, 'sxsal' , sxsal , psgn = -1._wp, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'sysal' , sysal , psgn = -1._wp, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'sxxsal', sxxsal, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'syysal', syysal, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'sxysal', sxysal, ldxios = lrxios )
+            CALL iom_get( numrir, jpdom_auto, 'sxsal' , sxsal , psgn = -1._wp )
+            CALL iom_get( numrir, jpdom_auto, 'sysal' , sysal , psgn = -1._wp )
+            CALL iom_get( numrir, jpdom_auto, 'sxxsal', sxxsal )
+            CALL iom_get( numrir, jpdom_auto, 'syysal', syysal )
+            CALL iom_get( numrir, jpdom_auto, 'sxysal', sxysal )
             !                                                        ! ice age
-            CALL iom_get( numrir, jpdom_auto, 'sxage' , sxage , psgn = -1._wp, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'syage' , syage , psgn = -1._wp, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'sxxage', sxxage, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'syyage', syyage, ldxios = lrxios )
-            CALL iom_get( numrir, jpdom_auto, 'sxyage', sxyage, ldxios = lrxios )
+            CALL iom_get( numrir, jpdom_auto, 'sxage' , sxage , psgn = -1._wp )
+            CALL iom_get( numrir, jpdom_auto, 'syage' , syage , psgn = -1._wp )
+            CALL iom_get( numrir, jpdom_auto, 'sxxage', sxxage )
+            CALL iom_get( numrir, jpdom_auto, 'syyage', syyage )
+            CALL iom_get( numrir, jpdom_auto, 'sxyage', sxyage )
             !                                                        ! snow layers heat content
             DO jk = 1, nlay_s
                WRITE(zchar1,'(I2.2)') jk
                znam = 'sxc0'//'_l'//zchar1  
-               CALL iom_get( numrir, jpdom_auto, znam , z3d, psgn = -1._wp, ldxios = lrxios )   ;   sxc0 (:,:,jk,:) = z3d(:,:,:)
+               CALL iom_get( numrir, jpdom_auto, znam , z3d, psgn = -1._wp )   ;   sxc0 (:,:,jk,:) = z3d(:,:,:)
                znam = 'syc0'//'_l'//zchar1  
-               CALL iom_get( numrir, jpdom_auto, znam , z3d, psgn = -1._wp, ldxios = lrxios )   ;   syc0 (:,:,jk,:) = z3d(:,:,:)
+               CALL iom_get( numrir, jpdom_auto, znam , z3d, psgn = -1._wp )   ;   syc0 (:,:,jk,:) = z3d(:,:,:)
                znam = 'sxxc0'//'_l'//zchar1 
-               CALL iom_get( numrir, jpdom_auto, znam , z3d, ldxios = lrxios )   ;   sxxc0(:,:,jk,:) = z3d(:,:,:)
+               CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   sxxc0(:,:,jk,:) = z3d(:,:,:)
                znam = 'syyc0'//'_l'//zchar1 
-               CALL iom_get( numrir, jpdom_auto, znam , z3d, ldxios = lrxios )   ;   syyc0(:,:,jk,:) = z3d(:,:,:)
+               CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   syyc0(:,:,jk,:) = z3d(:,:,:)
                znam = 'sxyc0'//'_l'//zchar1 
-               CALL iom_get( numrir, jpdom_auto, znam , z3d, ldxios = lrxios )   ;   sxyc0(:,:,jk,:) = z3d(:,:,:)
+               CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   sxyc0(:,:,jk,:) = z3d(:,:,:)
             END DO
             !                                                        ! ice layers heat content
@@ -1005,28 +1004,28 @@
                WRITE(zchar1,'(I2.2)') jk
                znam = 'sxe'//'_l'//zchar1   
-               CALL iom_get( numrir, jpdom_auto, znam , z3d, psgn = -1._wp, ldxios = lrxios )   ;   sxe (:,:,jk,:) = z3d(:,:,:)
+               CALL iom_get( numrir, jpdom_auto, znam , z3d, psgn = -1._wp )   ;   sxe (:,:,jk,:) = z3d(:,:,:)
                znam = 'sye'//'_l'//zchar1   
-               CALL iom_get( numrir, jpdom_auto, znam , z3d, psgn = -1._wp, ldxios = lrxios )   ;   sye (:,:,jk,:) = z3d(:,:,:)
+               CALL iom_get( numrir, jpdom_auto, znam , z3d, psgn = -1._wp )   ;   sye (:,:,jk,:) = z3d(:,:,:)
                znam = 'sxxe'//'_l'//zchar1  
-               CALL iom_get( numrir, jpdom_auto, znam , z3d, ldxios = lrxios )   ;   sxxe(:,:,jk,:) = z3d(:,:,:)
+               CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   sxxe(:,:,jk,:) = z3d(:,:,:)
                znam = 'syye'//'_l'//zchar1  
-               CALL iom_get( numrir, jpdom_auto, znam , z3d, ldxios = lrxios )   ;   syye(:,:,jk,:) = z3d(:,:,:)
+               CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   syye(:,:,jk,:) = z3d(:,:,:)
                znam = 'sxye'//'_l'//zchar1  
-               CALL iom_get( numrir, jpdom_auto, znam , z3d, ldxios = lrxios )   ;   sxye(:,:,jk,:) = z3d(:,:,:)
+               CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   sxye(:,:,jk,:) = z3d(:,:,:)
             END DO
             !
             IF( ln_pnd_LEV ) THEN                                    ! melt pond fraction
                IF( iom_varid( numrir, 'sxap', ldstop = .FALSE. ) > 0 ) THEN
-                  CALL iom_get( numrir, jpdom_auto, 'sxap' , sxap , psgn = -1._wp, ldxios = lrxios )
-                  CALL iom_get( numrir, jpdom_auto, 'syap' , syap , psgn = -1._wp, ldxios = lrxios )
-                  CALL iom_get( numrir, jpdom_auto, 'sxxap', sxxap, ldxios = lrxios )
-                  CALL iom_get( numrir, jpdom_auto, 'syyap', syyap, ldxios = lrxios )
-                  CALL iom_get( numrir, jpdom_auto, 'sxyap', sxyap, ldxios = lrxios )
+                  CALL iom_get( numrir, jpdom_auto, 'sxap' , sxap , psgn = -1._wp )
+                  CALL iom_get( numrir, jpdom_auto, 'syap' , syap , psgn = -1._wp )
+                  CALL iom_get( numrir, jpdom_auto, 'sxxap', sxxap )
+                  CALL iom_get( numrir, jpdom_auto, 'syyap', syyap )
+                  CALL iom_get( numrir, jpdom_auto, 'sxyap', sxyap )
                   !                                                     ! melt pond volume
-                  CALL iom_get( numrir, jpdom_auto, 'sxvp' , sxvp , psgn = -1._wp, ldxios = lrxios )
-                  CALL iom_get( numrir, jpdom_auto, 'syvp' , syvp , psgn = -1._wp, ldxios = lrxios )
-                  CALL iom_get( numrir, jpdom_auto, 'sxxvp', sxxvp, ldxios = lrxios )
-                  CALL iom_get( numrir, jpdom_auto, 'syyvp', syyvp, ldxios = lrxios )
-                  CALL iom_get( numrir, jpdom_auto, 'sxyvp', sxyvp, ldxios = lrxios )
+                  CALL iom_get( numrir, jpdom_auto, 'sxvp' , sxvp , psgn = -1._wp )
+                  CALL iom_get( numrir, jpdom_auto, 'syvp' , syvp , psgn = -1._wp )
+                  CALL iom_get( numrir, jpdom_auto, 'sxxvp', sxxvp )
+                  CALL iom_get( numrir, jpdom_auto, 'syyvp', syyvp )
+                  CALL iom_get( numrir, jpdom_auto, 'sxyvp', sxyvp )
                ELSE
                   sxap = 0._wp ;   syap = 0._wp    ;   sxxap = 0._wp    ;   syyap = 0._wp    ;   sxyap = 0._wp   ! melt pond fraction
@@ -1036,9 +1035,9 @@
                IF ( ln_pnd_lids ) THEN                               ! melt pond lid volume
                   IF( iom_varid( numrir, 'sxvl', ldstop = .FALSE. ) > 0 ) THEN
-                     CALL iom_get( numrir, jpdom_auto, 'sxvl' , sxvl , psgn = -1._wp, ldxios = lrxios )
-                     CALL iom_get( numrir, jpdom_auto, 'syvl' , syvl , psgn = -1._wp, ldxios = lrxios )
-                     CALL iom_get( numrir, jpdom_auto, 'sxxvl', sxxvl, ldxios = lrxios )
-                     CALL iom_get( numrir, jpdom_auto, 'syyvl', syyvl, ldxios = lrxios )
-                     CALL iom_get( numrir, jpdom_auto, 'sxyvl', sxyvl, ldxios = lrxios )
+                     CALL iom_get( numrir, jpdom_auto, 'sxvl' , sxvl , psgn = -1._wp )
+                     CALL iom_get( numrir, jpdom_auto, 'syvl' , syvl , psgn = -1._wp )
+                     CALL iom_get( numrir, jpdom_auto, 'sxxvl', sxxvl )
+                     CALL iom_get( numrir, jpdom_auto, 'syyvl', syyvl )
+                     CALL iom_get( numrir, jpdom_auto, 'sxyvl', sxyvl )
                   ELSE
                      sxvl = 0._wp; syvl = 0._wp    ;   sxxvl = 0._wp    ;   syyvl = 0._wp    ;   sxyvl = 0._wp   ! melt pond lid volume
@@ -1046,5 +1045,4 @@
                ENDIF
             ENDIF
-            IF(lrxios) CALL iom_swap(cxios_context)
             !
          ELSE                                   !**  start rheology from rest  **!
@@ -1079,47 +1077,46 @@
          !
          !                                                           ! ice thickness
-         IF( lwxios ) CALL iom_swap(      cw_icerst_cxt         )
-         CALL iom_rstput( iter, nitrst, numriw, 'sxice' , sxice,  ldxios = lwxios)
-         CALL iom_rstput( iter, nitrst, numriw, 'syice' , syice,  ldxios = lwxios)
-         CALL iom_rstput( iter, nitrst, numriw, 'sxxice', sxxice, ldxios = lwxios)
-         CALL iom_rstput( iter, nitrst, numriw, 'syyice', syyice, ldxios = lwxios)
-         CALL iom_rstput( iter, nitrst, numriw, 'sxyice', sxyice, ldxios = lwxios)
+         CALL iom_rstput( iter, nitrst, numriw, 'sxice' , sxice)
+         CALL iom_rstput( iter, nitrst, numriw, 'syice' , syice)
+         CALL iom_rstput( iter, nitrst, numriw, 'sxxice', sxxice)
+         CALL iom_rstput( iter, nitrst, numriw, 'syyice', syyice)
+         CALL iom_rstput( iter, nitrst, numriw, 'sxyice', sxyice)
          !                                                           ! snow thickness
-         CALL iom_rstput( iter, nitrst, numriw, 'sxsn'  , sxsn,  ldxios = lwxios )
-         CALL iom_rstput( iter, nitrst, numriw, 'sysn'  , sysn,  ldxios = lwxios )
-         CALL iom_rstput( iter, nitrst, numriw, 'sxxsn' , sxxsn, ldxios = lwxios )
-         CALL iom_rstput( iter, nitrst, numriw, 'syysn' , syysn, ldxios = lwxios )
-         CALL iom_rstput( iter, nitrst, numriw, 'sxysn' , sxysn, ldxios = lwxios )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxsn'  , sxsn )
+         CALL iom_rstput( iter, nitrst, numriw, 'sysn'  , sysn )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxxsn' , sxxsn )
+         CALL iom_rstput( iter, nitrst, numriw, 'syysn' , syysn )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxysn' , sxysn )
          !                                                           ! ice concentration
-         CALL iom_rstput( iter, nitrst, numriw, 'sxa'   , sxa,  ldxios = lwxios  )
-         CALL iom_rstput( iter, nitrst, numriw, 'sya'   , sya,  ldxios = lwxios  )
-         CALL iom_rstput( iter, nitrst, numriw, 'sxxa'  , sxxa, ldxios = lwxios  )
-         CALL iom_rstput( iter, nitrst, numriw, 'syya'  , syya, ldxios = lwxios  )
-         CALL iom_rstput( iter, nitrst, numriw, 'sxya'  , sxya, ldxios = lwxios  )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxa'   , sxa  )
+         CALL iom_rstput( iter, nitrst, numriw, 'sya'   , sya  )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxxa'  , sxxa  )
+         CALL iom_rstput( iter, nitrst, numriw, 'syya'  , syya  )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxya'  , sxya  )
          !                                                           ! ice salinity
-         CALL iom_rstput( iter, nitrst, numriw, 'sxsal' , sxsal,  ldxios = lwxios)
-         CALL iom_rstput( iter, nitrst, numriw, 'sysal' , sysal,  ldxios = lwxios)
-         CALL iom_rstput( iter, nitrst, numriw, 'sxxsal', sxxsal, ldxios = lwxios)
-         CALL iom_rstput( iter, nitrst, numriw, 'syysal', syysal, ldxios = lwxios)
-         CALL iom_rstput( iter, nitrst, numriw, 'sxysal', sxysal, ldxios = lwxios)
+         CALL iom_rstput( iter, nitrst, numriw, 'sxsal' , sxsal)
+         CALL iom_rstput( iter, nitrst, numriw, 'sysal' , sysal)
+         CALL iom_rstput( iter, nitrst, numriw, 'sxxsal', sxxsal)
+         CALL iom_rstput( iter, nitrst, numriw, 'syysal', syysal)
+         CALL iom_rstput( iter, nitrst, numriw, 'sxysal', sxysal)
          !                                                           ! ice age
-         CALL iom_rstput( iter, nitrst, numriw, 'sxage' , sxage,  ldxios = lwxios)
-         CALL iom_rstput( iter, nitrst, numriw, 'syage' , syage,  ldxios = lwxios)
-         CALL iom_rstput( iter, nitrst, numriw, 'sxxage', sxxage, ldxios = lwxios)
-         CALL iom_rstput( iter, nitrst, numriw, 'syyage', syyage, ldxios = lwxios)
-         CALL iom_rstput( iter, nitrst, numriw, 'sxyage', sxyage, ldxios = lwxios)
+         CALL iom_rstput( iter, nitrst, numriw, 'sxage' , sxage)
+         CALL iom_rstput( iter, nitrst, numriw, 'syage' , syage)
+         CALL iom_rstput( iter, nitrst, numriw, 'sxxage', sxxage)
+         CALL iom_rstput( iter, nitrst, numriw, 'syyage', syyage)
+         CALL iom_rstput( iter, nitrst, numriw, 'sxyage', sxyage)
          !                                                           ! snow layers heat content
          DO jk = 1, nlay_s
             WRITE(zchar1,'(I2.2)') jk
             znam = 'sxc0'//'_l'//zchar1  ;   z3d(:,:,:) = sxc0 (:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d, ldxios = lwxios)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
             znam = 'syc0'//'_l'//zchar1  ;   z3d(:,:,:) = syc0 (:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d, ldxios = lwxios)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
             znam = 'sxxc0'//'_l'//zchar1 ;   z3d(:,:,:) = sxxc0(:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d, ldxios = lwxios)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
             znam = 'syyc0'//'_l'//zchar1 ;   z3d(:,:,:) = syyc0(:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d, ldxios = lwxios)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
             znam = 'sxyc0'//'_l'//zchar1 ;   z3d(:,:,:) = sxyc0(:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d, ldxios = lwxios)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
          END DO
          !                                                           ! ice layers heat content
@@ -1127,37 +1124,36 @@
             WRITE(zchar1,'(I2.2)') jk
             znam = 'sxe'//'_l'//zchar1   ;   z3d(:,:,:) = sxe (:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d, ldxios = lwxios)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
             znam = 'sye'//'_l'//zchar1   ;   z3d(:,:,:) = sye (:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d, ldxios = lwxios)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
             znam = 'sxxe'//'_l'//zchar1  ;   z3d(:,:,:) = sxxe(:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d, ldxios = lwxios)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
             znam = 'syye'//'_l'//zchar1  ;   z3d(:,:,:) = syye(:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d, ldxios = lwxios)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
             znam = 'sxye'//'_l'//zchar1  ;   z3d(:,:,:) = sxye(:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d, ldxios = lwxios)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
          END DO
          !
          IF( ln_pnd_LEV ) THEN                                       ! melt pond fraction
-            CALL iom_rstput( iter, nitrst, numriw, 'sxap' , sxap , ldxios = lwxios )
-            CALL iom_rstput( iter, nitrst, numriw, 'syap' , syap , ldxios = lwxios )
-            CALL iom_rstput( iter, nitrst, numriw, 'sxxap', sxxap, ldxios = lwxios )
-            CALL iom_rstput( iter, nitrst, numriw, 'syyap', syyap, ldxios = lwxios )
-            CALL iom_rstput( iter, nitrst, numriw, 'sxyap', sxyap, ldxios = lwxios )
+            CALL iom_rstput( iter, nitrst, numriw, 'sxap' , sxap  )
+            CALL iom_rstput( iter, nitrst, numriw, 'syap' , syap  )
+            CALL iom_rstput( iter, nitrst, numriw, 'sxxap', sxxap )
+            CALL iom_rstput( iter, nitrst, numriw, 'syyap', syyap )
+            CALL iom_rstput( iter, nitrst, numriw, 'sxyap', sxyap )
             !                                                        ! melt pond volume
-            CALL iom_rstput( iter, nitrst, numriw, 'sxvp' , sxvp , ldxios = lwxios )
-            CALL iom_rstput( iter, nitrst, numriw, 'syvp' , syvp , ldxios = lwxios )
-            CALL iom_rstput( iter, nitrst, numriw, 'sxxvp', sxxvp, ldxios = lwxios )
-            CALL iom_rstput( iter, nitrst, numriw, 'syyvp', syyvp, ldxios = lwxios )
-            CALL iom_rstput( iter, nitrst, numriw, 'sxyvp', sxyvp, ldxios = lwxios )
+            CALL iom_rstput( iter, nitrst, numriw, 'sxvp' , sxvp  )
+            CALL iom_rstput( iter, nitrst, numriw, 'syvp' , syvp  )
+            CALL iom_rstput( iter, nitrst, numriw, 'sxxvp', sxxvp )
+            CALL iom_rstput( iter, nitrst, numriw, 'syyvp', syyvp )
+            CALL iom_rstput( iter, nitrst, numriw, 'sxyvp', sxyvp )
             !
             IF ( ln_pnd_lids ) THEN                                  ! melt pond lid volume
-               CALL iom_rstput( iter, nitrst, numriw, 'sxvl' , sxvl , ldxios = lwxios )
-               CALL iom_rstput( iter, nitrst, numriw, 'syvl' , syvl , ldxios = lwxios )
-               CALL iom_rstput( iter, nitrst, numriw, 'sxxvl', sxxvl, ldxios = lwxios )
-               CALL iom_rstput( iter, nitrst, numriw, 'syyvl', syyvl, ldxios = lwxios )
-               CALL iom_rstput( iter, nitrst, numriw, 'sxyvl', sxyvl, ldxios = lwxios )
+               CALL iom_rstput( iter, nitrst, numriw, 'sxvl' , sxvl  )
+               CALL iom_rstput( iter, nitrst, numriw, 'syvl' , syvl  )
+               CALL iom_rstput( iter, nitrst, numriw, 'sxxvl', sxxvl )
+               CALL iom_rstput( iter, nitrst, numriw, 'syyvl', syyvl )
+               CALL iom_rstput( iter, nitrst, numriw, 'sxyvl', sxyvl )
             ENDIF
          ENDIF
-         IF( lwxios ) CALL iom_swap(      cxios_context         )
          !
       ENDIF
Index: NEMO/branches/2020/dev_12905_xios_restart/src/ICE/icedyn_rhg_evp.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/ICE/icedyn_rhg_evp.F90	(revision 13931)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/ICE/icedyn_rhg_evp.F90	(revision 13932)
@@ -1005,5 +1005,4 @@
          IF( ln_rstart ) THEN                   !* Read the restart file
             !
-            IF(lrxios) CALL iom_swap(cr_icerst_cxt)
             id1 = iom_varid( numrir, 'stress1_i' , ldstop = .FALSE. )
             id2 = iom_varid( numrir, 'stress2_i' , ldstop = .FALSE. )
@@ -1011,7 +1010,7 @@
             !
             IF( MIN( id1, id2, id3 ) > 0 ) THEN      ! fields exist
-               CALL iom_get( numrir, jpdom_auto, 'stress1_i' , stress1_i , cd_type = 'T', ldxios = lrxios )
-               CALL iom_get( numrir, jpdom_auto, 'stress2_i' , stress2_i , cd_type = 'T', ldxios = lrxios )
-               CALL iom_get( numrir, jpdom_auto, 'stress12_i', stress12_i, cd_type = 'F', ldxios = lrxios )
+               CALL iom_get( numrir, jpdom_auto, 'stress1_i' , stress1_i , cd_type = 'T' )
+               CALL iom_get( numrir, jpdom_auto, 'stress2_i' , stress2_i , cd_type = 'T' )
+               CALL iom_get( numrir, jpdom_auto, 'stress12_i', stress12_i, cd_type = 'F' )
             ELSE                                     ! start rheology from rest
                IF(lwp) WRITE(numout,*)
@@ -1021,5 +1020,4 @@
                stress12_i(:,:) = 0._wp
             ENDIF
-            IF(lrxios) CALL iom_swap(cxios_context)
          ELSE                                   !* Start from rest
             IF(lwp) WRITE(numout,*)
@@ -1035,9 +1033,7 @@
          iter = kt + nn_fsbc - 1             ! ice restarts are written at kt == nitrst - nn_fsbc + 1
          !
-         IF( lwxios ) CALL iom_swap(      cw_icerst_cxt         )
-         CALL iom_rstput( iter, nitrst, numriw, 'stress1_i' , stress1_i,  ldxios = lwxios )
-         CALL iom_rstput( iter, nitrst, numriw, 'stress2_i' , stress2_i,  ldxios = lwxios )
-         CALL iom_rstput( iter, nitrst, numriw, 'stress12_i', stress12_i, ldxios = lwxios )
-         IF( lwxios ) CALL iom_swap(      cxios_context         )
+         CALL iom_rstput( iter, nitrst, numriw, 'stress1_i' , stress1_i )
+         CALL iom_rstput( iter, nitrst, numriw, 'stress2_i' , stress2_i )
+         CALL iom_rstput( iter, nitrst, numriw, 'stress12_i', stress12_i )
          !
       ENDIF
